*Testing the Fiscal Pressure Hypothesis

log using fiscal.txt

use "referenda fiscal CITIES.dta"

*Note: Models reported in Table OA-10 are labeled as such.

* Regressions on the levels (Panel A)

	*1928
		*Revenues - Costs 
		*Column 1:
		reg wet_vote_share wet_0 rev_minus_paym_pc1928                          state_1-state_28, robust
		*Column 2:
		reg wet_vote_share wet_0 rev_minus_paym_pc1928 MU log_tot_pop urbshare  state_1-state_28, robust

		*Costs/Revenues
		*Column 3:
		reg wet_vote_share wet_0    paym_over_rev1928                           state_1-state_28, robust

		*Column 4:
		reg wet_vote_share wet_0    paym_over_rev1928 MU log_tot_pop urbshare   state_1-state_28, robust

	*1931
		*Revenues - Costs
		*Column 5:
		reg wet_vote_share wet_0 rev_minus_paym_pc1931                          state_1-state_28, robust

		*Column 6:
		reg wet_vote_share wet_0 rev_minus_paym_pc1931 MU log_tot_pop urbshare  state_1-state_28, robust

		*Costs/Revenues
		*Column 7:
		reg wet_vote_share wet_0    paym_over_rev1931                           state_1-state_28, robust

		*Column 8:
		reg wet_vote_share wet_0    paym_over_rev1931 MU log_tot_pop urbshare   state_1-state_28, robust




*Regressions on the changes in wet vote (Panel B)
	*1928
		*Revenues - Costs
		*Column 1
		reg D_wet_share rev_minus_paym_pc1928                              	state_1-state_28, robust

		*Column 2:
		reg D_wet_share rev_minus_paym_pc1928 D_MU log_tot_pop urbshare     state_1-state_28, robust

		*Costs/Revenues
		*Column 3:
		reg D_wet_share     paym_over_rev1928                              state_1-state_28, robust

		*Column 4:
		reg D_wet_share     paym_over_rev1928 D_MU log_tot_pop urbshare    state_1-state_28, robust

	*1931
		*Revenues - Costs
		*Column 5:
		reg D_wet_share rev_minus_paym_pc1931                              state_1-state_28, robust

		*Column 6:
		reg D_wet_share rev_minus_paym_pc1931 D_MU log_tot_pop urbshare    state_1-state_28, robust

		*Costs/Revenues
		*Column 7:
		reg D_wet_share     paym_over_rev1931                              state_1-state_28, robust

		*Column 8:
		reg D_wet_share     paym_over_rev1931 D_MU log_tot_pop urbshare    state_1-state_28, robust




*Regressions using the changes in Fiscal Pressure
	*1928
		*Costs/Revenues
		*Column 9
		reg D_wet_share     D_fiscal_28_31                              state_1-state_28, robust

		*Column 10:
		reg D_wet_share     D_fiscal_28_31 D_MU log_tot_pop urbshare    state_1-state_28, robust


log close
