set logtype text

log using wwi_interactions.txt

use "All cities Reduced Form.dta"

*Generate interactions

	*Interactions with number of males registered for WW1
	gen yup1_wwi = yup_1*log_wwi_registry
	gen yup2_wwi = yup_2*log_wwi_registry
	gen yup3_wwi = yup_3*log_wwi_registry
	gen yup4_wwi = yup_4*log_wwi_registry
	gen yup5_wwi = yup_5*log_wwi_registry
	gen yup6_wwi = yup_6*log_wwi_registry 
	gen yup7_wwi = yup_7*log_wwi_registry
	gen yup8_wwi = yup_8*log_wwi_registry
	gen yup9_wwi = yup_9*log_wwi_registry
	gen yup10_wwi = yup_10*log_wwi_registry 
	gen yup11_wwi = yup_11*log_wwi_registry 
	gen yup12_wwi = yup_12*log_wwi_registry 
	gen yup13_wwi = yup_13*log_wwi_registry 
	gen yup14_wwi = yup_14*log_wwi_registry
	gen yup15_wwi = yup_15*log_wwi_registry
	gen yup16_wwi = yup_16*log_wwi_registry
	gen yup17_wwi = yup_17*log_wwi_registry
	gen yup18_wwi = yup_18*log_wwi_registry
	gen yup19_wwi = yup_19*log_wwi_registry 




*Models

	*Interaction

		*Homicide Rate*
		*Column 1:
		xtreg Q_ultimate 	yup_1- yup_19 	yup1_wwi-yup19_wwi	log_pop border_1912-state_capital_1936	 															if structural_sample==1, fe robust cluster(cityid)
		*Column 2:
		xtreg Q_ultimate 	yup_1- yup_19 	yup1_wwi-yup19_wwi	log_pop border_1912-state_capital_1936	 						   									if Q_sample==1	       , fe robust cluster(cityid)

		*Column 3:
		xtreg Q_ultimate 	yup_1- yup_19 	yup1_wwi-yup19_wwi	log_pop border_1912-state_capital_1936	 _Iyear_1912- _Iyear_1936									if structural_sample==1, fe robust cluster(cityid)
		*Column 4:
		xtreg Q_ultimate 	yup_1- yup_19 	yup1_wwi-yup19_wwi	log_pop border_1912-state_capital_1936	 _Iyear_1912- _Iyear_1936						   			if Q_sample==1	       , fe robust cluster(cityid)

	
		*Drunkenness Arrests Rate*
		*Column 5:
		xtreg d_pk   yup_1- yup_19    yup1_wwi-yup19_wwi   log_pop border_1912-state_capital_1936							  										if structural_sample==1, fe robust cluster(cityid)
		*Column 6:
		xtreg d_pk   yup_1- yup_19    yup1_wwi-yup19_wwi   log_pop border_1912-state_capital_1936	 						 										if d_sample==1	       , fe robust cluster(cityid)

		*Column 7:
		xtreg d_pk   yup_1- yup_19    yup1_wwi-yup19_wwi   log_pop border_1912-state_capital_1936	 _Iyear_1912- _Iyear_1936						  				if structural_sample==1, fe robust cluster(cityid)
		*Column 8:
		xtreg d_pk   yup_1- yup_19    yup1_wwi-yup19_wwi   log_pop border_1912-state_capital_1936	 _Iyear_1912- _Iyear_1936						 				if d_sample==1	       , fe robust cluster(cityid)
	
	
	
	
log close
	
	
	
	
	
