*Pre Dry Laws*
set logtype text

log using Equation_3_homicide.txt

use "All cities Reduced Form.dta"

*Note: The models reported in table OA-5 are labeled as such.

*Regressions For Equation 3*

	*Homicide Rate*
	
	xtreg Q_ultimate yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936					  						  																		   												       if P==1, fe robust cluster(cityid)
	xtreg Q_ultimate yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936					  																																if structural_sample==1 & P==1, fe robust cluster(cityid)
	xtreg Q_ultimate yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936						  						  																									if Q_sample==1	        & P==1, fe robust cluster(cityid)

	xtreg Q_ultimate yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936 		 log_pop border_1912-state_capital_1936  				  						   							  			   										   if P==1, fe robust cluster(cityid)
	xtreg Q_ultimate yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936 		 log_pop border_1912-state_capital_1936  				  						   	  														if structural_sample==1 & P==1, fe robust cluster(cityid)
	xtreg Q_ultimate yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936 		 log_pop border_1912-state_capital_1936  				  						   	 														if Q_sample==1	        & P==1, fe robust cluster(cityid)

	xtreg Q_ultimate yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936 		 log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						 				 		   		 	    							   if P==1, fe robust cluster(cityid)
	*Column 1:
	xtreg Q_ultimate yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936 		 log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936																		if structural_sample==1 & P==1, fe robust cluster(cityid)
	*Column 2:
	xtreg Q_ultimate yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936 		 log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						   												if Q_sample==1	        & P==1, fe robust cluster(cityid)


log close

log using Equation_3_drunk.txt

	*Drunkenness Arrests Rate*

	xtreg d_pk yup_2- yup_19plus   yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936						  						  						  												     												   if P==1, fe robust cluster(cityid)
	xtreg d_pk yup_2- yup_19plus   yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936						  																																if structural_sample==1 & P==1, fe robust cluster(cityid)
	xtreg d_pk yup_2- yup_19plus   yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936						  																																if d_sample==1	        & P==1, fe robust cluster(cityid)

	xtreg d_pk yup_2- yup_19plus   yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936		log_pop border_1912-state_capital_1936  				  						   										     										   if P==1, fe robust cluster(cityid)
	xtreg d_pk yup_2- yup_19plus   yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936		log_pop border_1912-state_capital_1936  				  						   					     										if structural_sample==1 & P==1, fe robust cluster(cityid)
	xtreg d_pk yup_2- yup_19plus   yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936		log_pop border_1912-state_capital_1936  				  						   	 															if d_sample==1	        & P==1, fe robust cluster(cityid)

	xtreg d_pk yup_2- yup_19plus   yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936		log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936										      											  	       if P==1, fe robust cluster(cityid)
	*Column 3:
	xtreg d_pk yup_2- yup_19plus   yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936		log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						  													if structural_sample==1 & P==1, fe robust cluster(cityid)
	*Column 4:
	xtreg d_pk yup_2- yup_19plus   yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936		log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						 													if d_sample==1	        & P==1, fe robust cluster(cityid)

			
log close

log using Equation_3_police_share.txt
	
	*Police Expenditure Share*

	xtreg p_ultimate yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936						  						  																	     												   if P==1, fe robust cluster(cityid)
	xtreg p_ultimate yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936						  						   																									if structural_sample==1 & P==1, fe robust cluster(cityid)
	xtreg p_ultimate yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936						  						   																									if p_sample==1	        & P==1, fe robust cluster(cityid)

	xtreg p_ultimate yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936 	log_pop border_1912-state_capital_1936  				  						   							  											 	       	   if P==1, fe robust cluster(cityid)
	xtreg p_ultimate yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936 	log_pop border_1912-state_capital_1936  				  						   	  															if structural_sample==1 & P==1, fe robust cluster(cityid)
	xtreg p_ultimate yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936 	log_pop border_1912-state_capital_1936  				  						   	 															if p_sample==1	        & P==1, fe robust cluster(cityid)

	xtreg p_ultimate yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936												  										           if P==1, fe robust cluster(cityid)
	*Column 5:
	xtreg p_ultimate yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						   													if structural_sample==1 & P==1, fe robust cluster(cityid)
	*Column 6:
	xtreg p_ultimate yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						   													if p_sample==1	        & P==1, fe robust cluster(cityid)

	xtreg p_ultimate yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						      			    ID_1trend- ID_340trend   	 	  	                   if P==1, fe robust cluster(cityid)	
	xtreg p_ultimate yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						       			    ID_1trend- ID_340trend  		if structural_sample==1 & P==1, fe robust cluster(cityid)	
	xtreg p_ultimate yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						        			ID_1trend- ID_340trend  		if p_sample==1	        & P==1, fe robust cluster(cityid)

log close

log using Equation_3_police_percapita.txt

	*Police Expenditure Per Capita*

	xtreg p_percapita_ultimate 	yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936						  						  																	    										   if P==1, fe robust cluster(cityid)
	xtreg p_percapita_ultimate 	yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936						  						   																							if structural_sample==1 & P==1, fe robust cluster(cityid)
	xtreg p_percapita_ultimate 	yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936						  						   																							if p_sample==1	        & P==1, fe robust cluster(cityid)

	xtreg p_percapita_ultimate 	yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936 	log_pop border_1912-state_capital_1936  				  						   						  				     								   if P==1, fe robust cluster(cityid)
	xtreg p_percapita_ultimate 	yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936 	log_pop border_1912-state_capital_1936  				  						   	  													if structural_sample==1 & P==1, fe robust cluster(cityid)
	xtreg p_percapita_ultimate 	yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936 	log_pop border_1912-state_capital_1936  				  						   	 													if p_sample==1	        & P==1, fe robust cluster(cityid)

	xtreg p_percapita_ultimate 	yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936											  				     						   if P==1, fe robust cluster(cityid)
	*Column 7
	xtreg p_percapita_ultimate 	yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						   											if structural_sample==1 & P==1, fe robust cluster(cityid)
	*Column 8:
	xtreg p_percapita_ultimate 	yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						   											if p_sample==1	        & P==1, fe robust cluster(cityid)

	xtreg p_percapita_ultimate 	yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						    			 ID_1trend- ID_340trend			 		     	   if P==1, fe robust cluster(cityid)
	xtreg p_percapita_ultimate 	yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						    	 	  	 ID_1trend- ID_340trend  	if structural_sample==1 & P==1, fe robust cluster(cityid)
	xtreg p_percapita_ultimate 	yup_2- yup_19plus  yup_2_x_l2_o- yup_19plus_x_l2_o MU_o_ages_x_Iyear_1912- MU_o_ages_x_Iyear_1936 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						    	 		 ID_1trend- ID_340trend  	if p_sample==1	        & P==1, fe robust cluster(cityid)

log close


