set logtype text

log using cities_referenda.txt

use "referenda pre post CITIES.dta"

*Note: Models reported in Table OA-7 are labeled as such.

*Just the Period Dummy*
		*Referenda vote share*
		*Column 7:
		xtreg wet_vote_share 			period 																						  																	if balanced_vote_share==1, fe cluster(cityid) robust
		xtreg wet_vote_share 			period 						log_tot_pop urbshare num_state_dry_laws 												  											if balanced_vote_share==1, fe cluster(cityid) robust
		xtreg wet_vote_share 			period 						log_tot_pop urbshare num_state_dry_laws post_x_AL- post_x_WV																		if balanced_vote_share==1, fe cluster(cityid) robust
		xtreg wet_vote_share 			period 						log_tot_pop urbshare num_state_dry_laws 						referenda_year referenda_type_L referenda_type_R  					if balanced_vote_share==1, fe cluster(cityid) robust
		
		*Roll Call*
		xtreg cosnt_amend_wet_rollcall  period 																																							if balanced_roll_call==1, fe cluster(cityid) robust
		xtreg cosnt_amend_wet_rollcall  period 						log_tot_pop urbshare num_state_dry_laws 																							if balanced_roll_call==1, fe cluster(cityid) robust
		xtreg cosnt_amend_wet_rollcall  period 						log_tot_pop urbshare num_state_dry_laws post_x_AL- post_x_WV																		if balanced_roll_call==1, fe cluster(cityid) robust
		

*DiD*
		*Refrenda vote share*
		*Column 8
		xtreg wet_vote_share 			period   MU   post_x_MU_0 																																		if balanced_vote_share==1, fe cluster(cityid) robust
		xtreg wet_vote_share 			period 	 MU   post_x_MU_0   log_tot_pop urbshare num_state_dry_laws 												 											if balanced_vote_share==1, fe cluster(cityid) robust
		*Column 9:
		xtreg wet_vote_share 			period 	 MU   post_x_MU_0   log_tot_pop urbshare num_state_dry_laws 						referenda_year referenda_type_L referenda_type_R  					if balanced_vote_share==1, fe cluster(cityid) robust
		*Column 10
		xtreg wet_vote_share 			period 	 MU   post_x_MU_0   log_tot_pop urbshare num_state_dry_laws post_x_AL- post_x_WV							 											if balanced_vote_share==1, fe cluster(cityid) robust
		*Column 11
		xtreg wet_vote_share 			period 	 MU   post_x_MU_0   log_tot_pop urbshare num_state_dry_laws 												 							inv_mills_x_pre	if balanced_vote_share==1, fe cluster(cityid) robust

		*Roll Call*
		xtreg cosnt_amend_wet_rollcall  period   MU   post_x_MU_0 																																		if balanced_roll_call==1, fe cluster(cityid) robust
		xtreg cosnt_amend_wet_rollcall  period   MU   post_x_MU_0   log_tot_pop urbshare num_state_dry_laws 																							if balanced_roll_call==1, fe cluster(cityid) robust
		xtreg cosnt_amend_wet_rollcall  period   MU   post_x_MU_0   log_tot_pop urbshare num_state_dry_laws post_x_AL- post_x_WV																		if balanced_roll_call==1, fe cluster(cityid) robust
		xtreg cosnt_amend_wet_rollcall  period   MU   post_x_MU_0   log_tot_pop urbshare num_state_dry_laws 																			inv_mills_x_pre	if balanced_roll_call==1, fe cluster(cityid) robust


*Difs in Difs Table*
	sum wet_vote_share if period==0 & MU_high==0
	sum wet_vote_share if period==0 & MU_high==1
	sum wet_vote_share if period==1 & MU_high==0
	sum wet_vote_share if period==1 & MU_high==1




*Figures*
	*Shift in Public Opinion*
	histogram wet_vote_share, bin(25) by(period)
	*Difs in Difs Figure*	
	twoway (scatter wet_vote_share MU) (lfit wet_vote_share MU), by(period)
	*Convergence Figure*
	twoway (scatter wet_vote_share wet_0 if period==1) (line wet_0 wet_0 if period==1), by(MU_high)
		
		
		
*Using Principal Components
		
pca share_non_native_white wet_religions_share share_pop_15_44, comp(2)

predict MU_pc0 MU_pc1, score
		
corr MU_pc0 MU_pc1 share_non_native_white wet_religions_share share_pop_15_44		
		
gen post_x_MU_pc = period*MU_pc1
		
		
		*Column 12:
		xtreg wet_vote_share 			period 	 MU   post_x_MU_pc  log_tot_pop urbshare num_state_dry_laws 												 						  inv_mills_x_pre	if balanced_vote_share ==1, fe cluster(cityid) robust
				
		
		
log close	
		
		
		
		
		
		
		
		
		
		
		
		
		
