set logtype text

log using counties_referenda.txt

use "referenda pre post COUNTIES.dta"

*Note: Models reported in Table OA-7 are labeled as such.

*Just the Period Dummy*
		*Referenda vote share*
			*All counties*
			*Column 1:
			xtreg wet_vote_share 			period 																						  								if balanced==1, fe cluster(countyid_num) robust
			xtreg wet_vote_share 			period 						log_tot_pop urbshare  												  							if balanced==1, fe cluster(countyid_num) robust
			xtreg wet_vote_share 			period 						log_tot_pop urbshare  post_x_AL- post_x_WY														if balanced==1, fe cluster(countyid_num) robust
			xtreg wet_vote_share 			period 						log_tot_pop urbshare  						referenda_year referenda_type_L referenda_type_R  	if balanced==1, fe cluster(countyid_num) robust
			
			*Pop>30000*
			xtreg wet_vote_share 			period 																						  								if balanced_pop==1 & totpop>30000, fe cluster(countyid_num) robust
			xtreg wet_vote_share 			period 						log_tot_pop urbshare  												  							if balanced_pop==1 & totpop>30000, fe cluster(countyid_num) robust
			xtreg wet_vote_share 			period 						log_tot_pop urbshare  post_x_AL- post_x_WY														if balanced_pop==1 & totpop>30000, fe cluster(countyid_num) robust
			xtreg wet_vote_share 			period 						log_tot_pop urbshare  						referenda_year referenda_type_L referenda_type_R  	if balanced_pop==1 & totpop>30000, fe cluster(countyid_num) robust
	

*DiD*
		*Refrenda vote share*
			*All counties*
			*Column 2:
			xtreg wet_vote_share 			period   MU   post_x_MU_0 																													if balanced==1, fe cluster(countyid_num) robust						
			xtreg wet_vote_share 			period 	 MU   post_x_MU_0   log_tot_pop urbshare  												 											if balanced==1, fe cluster(countyid_num) robust
			*Column 3:
			xtreg wet_vote_share 			period 	 MU   post_x_MU_0   log_tot_pop urbshare  						referenda_year referenda_type_L referenda_type_R  					if balanced==1, fe cluster(countyid_num) robust
			*Column 4:
			xtreg wet_vote_share 			period 	 MU   post_x_MU_0   log_tot_pop urbshare  post_x_AL- post_x_WY							 											if balanced==1, fe cluster(countyid_num) robust
			*Column 5:
			xtreg wet_vote_share 			period 	 MU   post_x_MU_0   log_tot_pop urbshare  												 						  inv_mills_x_pre	if balanced==1, fe cluster(countyid_num) robust


			*Pop>30000*
			xtreg wet_vote_share 			period   MU   post_x_MU_0 																													if balanced_pop==1 & totpop>30000, fe cluster(countyid_num) robust
			xtreg wet_vote_share 			period 	 MU   post_x_MU_0   log_tot_pop urbshare  												 											if balanced_pop==1 & totpop>30000, fe cluster(countyid_num) robust
			xtreg wet_vote_share 			period 	 MU   post_x_MU_0   log_tot_pop urbshare  						referenda_year referenda_type_L referenda_type_R  					if balanced_pop==1 & totpop>30000, fe cluster(countyid_num) robust
			xtreg wet_vote_share 			period 	 MU   post_x_MU_0   log_tot_pop urbshare  post_x_AL- post_x_WY							 											if balanced_pop==1 & totpop>30000, fe cluster(countyid_num) robust
			xtreg wet_vote_share 			period 	 MU   post_x_MU_0   log_tot_pop urbshare  																		  inv_mills_x_pre	if balanced_pop==1 & totpop>30000, fe cluster(countyid_num) robust



*Difs in Difs Table*
	sum wet_vote_share if period==0 & MU_high==0
	sum wet_vote_share if period==0 & MU_high==1
	sum wet_vote_share if period==1 & MU_high==0
	sum wet_vote_share if period==1 & MU_high==1
	

*Figures*
	*Shift in Public Opinion*
	histogram wet_vote_share, bin(25) by(period)
	*Difs in Difs Figure*	
	twoway (scatter wet_vote_share MU) (lfit wet_vote_share MU), by(period)
	*Convergence Figure*
	twoway (scatter wet_vote_share wet_0 if period==1) (line wet_0 wet_0 if period==1), by(MU_high)
		
*Using Principal Components
		
pca share_not_native_white wet_religions_share share_young, comp(1)

predict MU_pc, score
		
corr MU_pc share_not_native_white wet_religions_share share_young		
		
gen post_x_MU_pc = period*MU_pc
		
		
		*Column 6:
		xtreg wet_vote_share 			period 	 MU   post_x_MU_pc  log_tot_pop urbshare  												 						  inv_mills_x_pre	if balanced==1, fe cluster(countyid_num) robust
				
		
		
log close	
