set logtype text

log using Equation_2_homicide.txt

use "All cities Reduced Form.dta"

*Note: Regressions reported in Table OA-8A appear labeled as such

*Regressions For Equation 1*

	*Homicide Rate*
	xtreg Q_ultimate CP  CP_x_MU_o_ages						  						  									   									     						     							   , fe robust cluster(cityid)
	xtreg Q_ultimate CP  CP_x_MU_o_ages					  						  																													if structural_sample==1, fe robust cluster(cityid)
	xtreg Q_ultimate CP  CP_x_MU_o_ages						  																																		if Q_sample==1	       , fe robust cluster(cityid)

	xtreg Q_ultimate CP	CP_x_MU_o_ages								log_pop border_1912-state_capital_1936  	  						  													     						   , fe robust cluster(cityid)
	xtreg Q_ultimate CP	CP_x_MU_o_ages								log_pop border_1912-state_capital_1936  	  						  															if structural_sample==1, fe robust cluster(cityid)
	xtreg Q_ultimate CP	CP_x_MU_o_ages								log_pop border_1912-state_capital_1936  	  						   															if Q_sample==1	       , fe robust cluster(cityid)

	xtreg Q_ultimate CP	CP_x_MU_o_ages								log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936   						 				 		       		     		       , fe robust cluster(cityid)
	xtreg Q_ultimate CP	CP_x_MU_o_ages								log_pop border_1912-state_capital_1936   	 _Iyear_1912- _Iyear_1936   														if structural_sample==1, fe robust cluster(cityid)
	xtreg Q_ultimate CP	CP_x_MU_o_ages								log_pop border_1912-state_capital_1936 	 	 _Iyear_1912- _Iyear_1936   														if Q_sample==1	       , fe robust cluster(cityid)
	

	xtreg Q_ultimate yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages						  						  																		     				       , fe robust cluster(cityid)
	xtreg Q_ultimate yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages						  																									if structural_sample==1, fe robust cluster(cityid)
	xtreg Q_ultimate yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages						  						  																			if Q_sample==1	       , fe robust cluster(cityid)

	xtreg Q_ultimate yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages		 log_pop border_1912-state_capital_1936  				  						   							  			     			   , fe robust cluster(cityid)
	xtreg Q_ultimate yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages		 log_pop border_1912-state_capital_1936  				  						   	  								if structural_sample==1, fe robust cluster(cityid)
	xtreg Q_ultimate yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages		 log_pop border_1912-state_capital_1936  				  						   	 								if Q_sample==1	       , fe robust cluster(cityid)

	xtreg Q_ultimate yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages		 log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						 				 		   		 	     	   , fe robust cluster(cityid)
	*Column 1:
	xtreg Q_ultimate yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages		 log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936												if structural_sample==1, fe robust cluster(cityid)
	*Column 2
	xtreg Q_ultimate yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages		 log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						   						if Q_sample==1	       , fe robust cluster(cityid)

	xtreg Q_ultimate yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages			 						 							 _IstaXyea_2_1912- _IstaXyea_45_1936							 	     		   , fe robust cluster(cityid)
	xtreg Q_ultimate yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages       								 					 	 _IstaXyea_2_1912- _IstaXyea_45_1936    					if structural_sample==1, fe robust cluster(cityid)
	xtreg Q_ultimate yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages      								  							 _IstaXyea_2_1912- _IstaXyea_45_1936    					if Q_sample==1  	   , fe robust cluster(cityid)

log close

log using Equation_2_drunk.txt

	*Drunkenness Arrests Rate*
	xtreg d_pk CP  CP_x_MU_o_ages						  						  									  									    						     								   , fe robust cluster(cityid)
	xtreg d_pk CP  CP_x_MU_o_ages						  						   																													if structural_sample==1, fe robust cluster(cityid)
	xtreg d_pk CP  CP_x_MU_o_ages						  						   																													if d_sample==1	       , fe robust cluster(cityid)

	xtreg d_pk CP  CP_x_MU_o_ages									log_pop border_1912-state_capital_1936  	  						  													     						   , fe robust cluster(cityid)
	xtreg d_pk CP  CP_x_MU_o_ages									log_pop border_1912-state_capital_1936  	  						   															if structural_sample==1, fe robust cluster(cityid)
	xtreg d_pk CP  CP_x_MU_o_ages									log_pop border_1912-state_capital_1936  	  						   								     	 					if d_sample==1	       , fe robust cluster(cityid)

	xtreg d_pk CP  CP_x_MU_o_ages									log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936   															     			   , fe robust cluster(cityid)
	xtreg d_pk CP  CP_x_MU_o_ages									log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936   														if structural_sample==1, fe robust cluster(cityid)
	xtreg d_pk CP  CP_x_MU_o_ages									log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936   														if d_sample==1	       , fe robust cluster(cityid)
	

	xtreg d_pk        yup_1- yup_19   yup_1_x_MU_o_ages- yup_19_x_MU_o_ages						  						  						  												     					   , fe robust cluster(cityid)
	xtreg d_pk        yup_1- yup_19   yup_1_x_MU_o_ages- yup_19_x_MU_o_ages						  																									if structural_sample==1, fe robust cluster(cityid)
	xtreg d_pk        yup_1- yup_19   yup_1_x_MU_o_ages- yup_19_x_MU_o_ages						  																									if d_sample==1	       , fe robust cluster(cityid)

	xtreg d_pk        yup_1- yup_19   yup_1_x_MU_o_ages- yup_19_x_MU_o_ages		log_pop border_1912-state_capital_1936  				  						   										    			   , fe robust cluster(cityid)
	xtreg d_pk        yup_1- yup_19   yup_1_x_MU_o_ages- yup_19_x_MU_o_ages		log_pop border_1912-state_capital_1936  				  						   					     			if structural_sample==1, fe robust cluster(cityid)
	xtreg d_pk        yup_1- yup_19   yup_1_x_MU_o_ages- yup_19_x_MU_o_ages		log_pop border_1912-state_capital_1936  				  						   	 								if d_sample==1	       , fe robust cluster(cityid)

	xtreg d_pk        yup_1- yup_19   yup_1_x_MU_o_ages- yup_19_x_MU_o_ages		log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936										      				     	   , fe robust cluster(cityid)
	*Column 3:
	xtreg d_pk        yup_1- yup_19   yup_1_x_MU_o_ages- yup_19_x_MU_o_ages		log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						  						if structural_sample==1, fe robust cluster(cityid)
	*Column 4:
	xtreg d_pk        yup_1- yup_19   yup_1_x_MU_o_ages- yup_19_x_MU_o_ages		log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						 						if d_sample==1	       , fe robust cluster(cityid)

	xtreg d_pk        yup_1- yup_19   yup_1_x_MU_o_ages- yup_19_x_MU_o_ages		     					 								_IstaXyea_2_1912- _IstaXyea_45_1936					   	  	           			   , fe robust cluster(cityid)
	xtreg d_pk        yup_1- yup_19   yup_1_x_MU_o_ages- yup_19_x_MU_o_ages    										 					_IstaXyea_2_1912- _IstaXyea_45_1936    						if structural_sample==1, fe robust cluster(cityid)
	xtreg d_pk        yup_1- yup_19   yup_1_x_MU_o_ages- yup_19_x_MU_o_ages      					 					 			 	_IstaXyea_2_1912- _IstaXyea_45_1936    						if d_sample==1	       , fe robust cluster(cityid)
			
log close

log using Equation_2_police_share.txt
	
	*Police Expenditure Share*
	xtreg p_ultimate CP  CP_x_MU_o_ages						  						 						 										  		 					     									   , fe robust cluster(cityid)
	xtreg p_ultimate CP  CP_x_MU_o_ages					  																																			if structural_sample==1, fe robust cluster(cityid)
	xtreg p_ultimate CP  CP_x_MU_o_ages						  						   								 																				if p_sample==1	       , fe robust cluster(cityid)

	xtreg p_ultimate CP  CP_x_MU_o_ages							log_pop border_1912-state_capital_1936  	  						  													     							   , fe robust cluster(cityid)
	xtreg p_ultimate CP  CP_x_MU_o_ages							log_pop border_1912-state_capital_1936  	  						 																if structural_sample==1, fe robust cluster(cityid)
	xtreg p_ultimate CP  CP_x_MU_o_ages							log_pop border_1912-state_capital_1936  	  						   																if p_sample==1	       , fe robust cluster(cityid)

	xtreg p_ultimate CP  CP_x_MU_o_ages							log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936   						  								   	     			   	   , fe robust cluster(cityid)
	xtreg p_ultimate CP  CP_x_MU_o_ages							log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936   						  									if structural_sample==1, fe robust cluster(cityid)
	xtreg p_ultimate CP  CP_x_MU_o_ages							log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936   						  									if p_sample==1	       , fe robust cluster(cityid)
	

	xtreg p_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages						  						  																	     					   , fe robust cluster(cityid)
	xtreg p_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages						  						   																		if structural_sample==1, fe robust cluster(cityid)
	xtreg p_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages						  						   																		if p_sample==1	       , fe robust cluster(cityid)

	xtreg p_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages 	log_pop border_1912-state_capital_1936  				  						   							  			     			   , fe robust cluster(cityid)
	xtreg p_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages 	log_pop border_1912-state_capital_1936  				  						   	  								if structural_sample==1, fe robust cluster(cityid)
	xtreg p_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages 	log_pop border_1912-state_capital_1936  				  						   	 								if p_sample==1	       , fe robust cluster(cityid)

	xtreg p_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936												  			     	   , fe robust cluster(cityid)
	*Column 5:
	xtreg p_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						   						if structural_sample==1, fe robust cluster(cityid)
	*Column 6:
	xtreg p_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						   						if p_sample==1	       , fe robust cluster(cityid)

	xtreg p_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages 	      					 								_IstaXyea_2_1912- _IstaXyea_45_1936	  	                 				     	   , fe robust cluster(cityid)
	xtreg p_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages 	      					 								_IstaXyea_2_1912- _IstaXyea_45_1936    						if structural_sample==1, fe robust cluster(cityid)
	xtreg p_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages 		     	 										 	_IstaXyea_2_1912- _IstaXyea_45_1936    			  			if p_sample==1	       , fe robust cluster(cityid)
	
	xtreg p_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						ID_1trend- ID_340trend   	 	  	           , fe robust cluster(cityid)
	xtreg p_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						ID_1trend- ID_340trend  if structural_sample==1, fe robust cluster(cityid)
	xtreg p_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						ID_1trend- ID_340trend  if p_sample==1	       , fe robust cluster(cityid)

log close

log using Equation_2_police_percapita.txt

	*Police Expenditure Per Capita*

	xtreg p_percapita_ultimate CP  CP_x_MU_o_ages						  						 						 				  													     						   , fe robust cluster(cityid)
	xtreg p_percapita_ultimate CP  CP_x_MU_o_ages						  																															if structural_sample==1, fe robust cluster(cityid)
	xtreg p_percapita_ultimate CP  CP_x_MU_o_ages						  						   								 																	if p_sample==1	       , fe robust cluster(cityid)

	xtreg p_percapita_ultimate CP  CP_x_MU_o_ages							log_pop border_1912-state_capital_1936  	  						  													     				   , fe robust cluster(cityid)
	xtreg p_percapita_ultimate CP  CP_x_MU_o_ages							log_pop border_1912-state_capital_1936  	  						 													if structural_sample==1, fe robust cluster(cityid)
	xtreg p_percapita_ultimate CP  CP_x_MU_o_ages							log_pop border_1912-state_capital_1936  	  						   													if p_sample==1	       , fe robust cluster(cityid)

	xtreg p_percapita_ultimate CP  CP_x_MU_o_ages							log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936   						  								   	     	   , fe robust cluster(cityid)
	xtreg p_percapita_ultimate CP  CP_x_MU_o_ages							log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936   						  						if structural_sample==1, fe robust cluster(cityid)
	xtreg p_percapita_ultimate CP  CP_x_MU_o_ages							log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936   						  						if p_sample==1	       , fe robust cluster(cityid)
	

	xtreg p_percapita_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages						  						  																	     			   , fe robust cluster(cityid)
	xtreg p_percapita_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages						  						   																if structural_sample==1, fe robust cluster(cityid)
	xtreg p_percapita_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages						  						   																if p_sample==1	       , fe robust cluster(cityid)

	xtreg p_percapita_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages 	log_pop border_1912-state_capital_1936  				  						   						  				     	   , fe robust cluster(cityid)
	xtreg p_percapita_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages 	log_pop border_1912-state_capital_1936  				  						   	  						if structural_sample==1, fe robust cluster(cityid)
	xtreg p_percapita_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages 	log_pop border_1912-state_capital_1936  				  						   	 						if p_sample==1	       , fe robust cluster(cityid)

	xtreg p_percapita_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936											  				   , fe robust cluster(cityid)
	*Column 7:
	xtreg p_percapita_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						   				if structural_sample==1, fe robust cluster(cityid)
	*Column 8:
	xtreg p_percapita_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						   				if p_sample==1	       , fe robust cluster(cityid)

	xtreg p_percapita_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages 	      					 				 		 	_IstaXyea_2_1912- _IstaXyea_45_1936				  		    		   		   , fe robust cluster(cityid)
	xtreg p_percapita_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages 	      					 				  			_IstaXyea_2_1912- _IstaXyea_45_1936    					if structural_sample==1, fe robust cluster(cityid)
	xtreg p_percapita_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages 	      									 			_IstaXyea_2_1912- _IstaXyea_45_1936    					if p_sample==1	       , fe robust cluster(cityid)

	xtreg p_percapita_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936				ID_1trend- ID_340trend			 		       , fe robust cluster(cityid)
	xtreg p_percapita_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936				ID_1trend- ID_340trend  if structural_sample==1, fe robust cluster(cityid)
	xtreg p_percapita_ultimate 	yup_1- yup_19  yup_1_x_MU_o_ages- yup_19_x_MU_o_ages 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936				ID_1trend- ID_340trend  if p_sample==1	       , fe robust cluster(cityid)

log close


