set logtype text

log using moral_het_pca.txt


gen wet_ethnicity = 1 - e_o1

gen wet_religion = 1 - r_o1 - r_o3 - r_o5 - r_o7 - r_o9

gen wet_age = a_o2 + a_o3

pca wet_ethnicity wet_religion wet_age, comp(2)

predict MU_pc0 MU_pc1, score

corr MU_pc0 MU_pc1 wet_ethnicity wet_religion wet_age

gen yup_1_x_MU_pc1 = yup_1*MU_pc1
gen yup_2_x_MU_pc1 = yup_2*MU_pc1
gen yup_3_x_MU_pc1 = yup_3*MU_pc1
gen yup_4_x_MU_pc1 = yup_4*MU_pc1
gen yup_5_x_MU_pc1 = yup_5*MU_pc1
gen yup_6_x_MU_pc1 = yup_6*MU_pc1
gen yup_7_x_MU_pc1 = yup_7*MU_pc1
gen yup_8_x_MU_pc1 = yup_8*MU_pc1
gen yup_9_x_MU_pc1 = yup_9*MU_pc1
gen yup_10_x_MU_pc1 = yup_10*MU_pc1
gen yup_11_x_MU_pc1 = yup_11*MU_pc1
gen yup_12_x_MU_pc1 = yup_12*MU_pc1
gen yup_13_x_MU_pc1 = yup_13*MU_pc1
gen yup_14_x_MU_pc1 = yup_14*MU_pc1
gen yup_15_x_MU_pc1 = yup_15*MU_pc1
gen yup_16_x_MU_pc1 = yup_16*MU_pc1
gen yup_17_x_MU_pc1 = yup_17*MU_pc1
gen yup_18_x_MU_pc1 = yup_18*MU_pc1
gen yup_19_x_MU_pc1 = yup_19*MU_pc1


*Note: Regressions reported in Table OA-8B appear labeled as such

*Regressions For Equation 1*

	*Homicide Rate*
	*Column 1:
	xtreg Q_ultimate    yup_1- yup_19   yup_1_x_MU_pc1-yup_19_x_MU_pc1		 log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936												if structural_sample==1, fe robust cluster(cityid)
	*Column 2:
	xtreg Q_ultimate    yup_1- yup_19   yup_1_x_MU_pc1-yup_19_x_MU_pc1		 log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						   						if Q_sample==1	       , fe robust cluster(cityid)
	
		
	*Drunkenness Arrests Rate*
	*Column 3:
	xtreg d_pk          yup_1- yup_19   yup_1_x_MU_pc1-yup_19_x_MU_pc1		log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						  						if structural_sample==1, fe robust cluster(cityid)
	*Column 4:
	xtreg d_pk          yup_1- yup_19   yup_1_x_MU_pc1-yup_19_x_MU_pc1		log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						 						if d_sample==1	       , fe robust cluster(cityid)


	*Police Expenditure Share*
	*Column 5:
	xtreg p_ultimate 	yup_1- yup_19  yup_1_x_MU_pc1-yup_19_x_MU_pc1 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						   						if structural_sample==1, fe robust cluster(cityid)
	*Column 6:
	xtreg p_ultimate 	yup_1- yup_19  yup_1_x_MU_pc1-yup_19_x_MU_pc1 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						   						if p_sample==1	       , fe robust cluster(cityid)


	*Column 7:
	xtreg p_percapita_ultimate 	yup_1- yup_19  yup_1_x_MU_pc1-yup_19_x_MU_pc1 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						   				if structural_sample==1, fe robust cluster(cityid)
	*Column 8:
	xtreg p_percapita_ultimate 	yup_1- yup_19  yup_1_x_MU_pc1-yup_19_x_MU_pc1 	log_pop border_1912-state_capital_1936  	 _Iyear_1912- _Iyear_1936						   				if p_sample==1	       , fe robust cluster(cityid)
	

	
log close















