set logtype text

use "All cities Reduced Form.dta"

*Note: Models reported in table OA-9 are labeled as such.

log using repeal_homicides.txt

*Homicide Rate x 100,000*
xtreg Q_ultimate CP CP_x_MU_o_ages								    			_Iyear_1912-_Iyear_1936  																		if year>=1930 & structural_sample==1, fe robust cluster(cityid)
xtreg Q_ultimate CP CP_x_MU_o_ages  											_Iyear_1912-_Iyear_1936  																		if year>=1930                       , fe robust cluster(cityid)

*Column 1:
xtreg Q_ultimate CP CP_x_MU_o_ages 	log_pop border_1912-state_capital_1936	    _Iyear_1912-_Iyear_1936  																		if year>=1930 & structural_sample==1, fe robust cluster(cityid)
*Column 2:
xtreg Q_ultimate CP CP_x_MU_o_ages 	log_pop border_1912-state_capital_1936	    _Iyear_1912-_Iyear_1936  																		if year>=1930		   			     , fe robust cluster(cityid)

*Column 3:
xtreg Q_ultimate CP CP_x_MU_o_ages  									   							 	 		_IstaXyea_2_1912- _IstaXyea_45_1936 							if year>=1930 & structural_sample==1, fe robust cluster(cityid)
*Column 4:
xtreg Q_ultimate CP CP_x_MU_o_ages  									   							 		 	_IstaXyea_2_1912- _IstaXyea_45_1936 							if year>=1930						  , fe robust cluster(cityid)

log close


log using repeal_murders.txt

*Murders x 100,000*
xtreg murder_ucr_p100k CP CP_x_MU_o_ages								    			_Iyear_1912-_Iyear_1936  																	if year>=1930 & structural_sample==1, fe robust cluster(cityid)
xtreg murder_ucr_p100k CP CP_x_MU_o_ages  												_Iyear_1912-_Iyear_1936  																	if year>=1930                       , fe robust cluster(cityid)

*Column 5:
xtreg murder_ucr_p100k CP CP_x_MU_o_ages 	log_pop border_1912-state_capital_1936	    _Iyear_1912-_Iyear_1936  																	if year>=1930 & structural_sample==1, fe robust cluster(cityid)
*Column 6:
xtreg murder_ucr_p100k CP CP_x_MU_o_ages 	log_pop border_1912-state_capital_1936	    _Iyear_1912-_Iyear_1936  																	if year>=1930		   			     , fe robust cluster(cityid)

*Column 7:
xtreg murder_ucr_p100k CP CP_x_MU_o_ages  									   							 	 		_IstaXyea_2_1912- _IstaXyea_45_1936 							if year>=1930 & structural_sample==1, fe robust cluster(cityid)
*Column 8:
xtreg murder_ucr_p100k CP CP_x_MU_o_ages  									   							 		 	_IstaXyea_2_1912- _IstaXyea_45_1936 							if year>=1930						  , fe robust cluster(cityid)


log close



log using repeal_offences.txt

*Offences x 1000*
xtreg offences_ucr_p1000 CP CP_x_MU_o_ages								    			_Iyear_1912-_Iyear_1936  																if year>=1930 & structural_sample==1, fe robust cluster(cityid)
xtreg offences_ucr_p1000 CP CP_x_MU_o_ages  											_Iyear_1912-_Iyear_1936  																if year>=1930                       , fe robust cluster(cityid)

*Column 9:
xtreg offences_ucr_p1000 CP CP_x_MU_o_ages 	log_pop border_1912-state_capital_1936	    _Iyear_1912-_Iyear_1936  																if year>=1930 & structural_sample==1, fe robust cluster(cityid)
*Column 10:
xtreg offences_ucr_p1000 CP CP_x_MU_o_ages 	log_pop border_1912-state_capital_1936	    _Iyear_1912-_Iyear_1936  																if year>=1930		   			     , fe robust cluster(cityid)

*Column 11:
xtreg offences_ucr_p1000 CP CP_x_MU_o_ages  									   							 	 _IstaXyea_2_1912- _IstaXyea_45_1936 							if year>=1930 & structural_sample==1, fe robust cluster(cityid)
*Column 12:
xtreg offences_ucr_p1000 CP CP_x_MU_o_ages  									   							 	 _IstaXyea_2_1912- _IstaXyea_45_1936 							if year>=1930						  , fe robust cluster(cityid)

log close









