% This function computes the Table of estimated coefficients and standard
% errors in Table 3

function [z_coeff z_stdr alpha_coeff alpha_stdr bias_coeff bias_stdr b_coeff b_stdr theta_coeff theta_stdr] = coeff_table(PAR,VC)


 %       [z_bar(1:13)  alpha(14:26)  bias(27:36)  xchi1(37:38)  k(39:40)   lam(41:42)  var_q(43:44)  var_zet(45:46)  rho(47:48)  gamma_a(49:50)  gamma_b(51:52) theta_true(53:66) eta(67:68) var_xi(69)]

z_coeff = PAR(1:13);

z_stdr = sqrt(diag(VC(1:13,1:13)));

alpha_coeff = PAR(14:26);

alpha_stdr = sqrt(diag(VC(14:26,14:26)));

bias_coeff = PAR(27:36);

bias_stdr = sqrt(diag(VC(27:36,27:36)));

b_coeff = [PAR(51)  PAR(52)] ;

b_stdr = sqrt( [VC(51,51) VC(52,52)] );

theta_coeff = [PAR(53:59) PAR(60:66)];

theta_stdr = sqrt( [diag(VC(53:59,53:59)) diag(VC(60:66,60:66))] );


end