function [f_varrho] = density_varrho_N(varrho,a,b,var_zet)                            %This function is the Probability Density Function of the median voter's type under No Prohibition (varrho_P)
                                                                                      %Inputs are: argument varrho 
                                                                                      %a: parameter from wet distribution
                                                                                      %b: parameter from wet distribution
                                                                                      %var_zet: variance of moral heterogeneity
                                                                                      

sigma_varrho_N = (a./(a+b)).*sqrt(var_zet);




    f_varrho = ( (1./beta(a,b)).*(1./sigma_varrho_N).*((normcdf((varrho+1)./sigma_varrho_N) - normcdf(varrho./sigma_varrho_N)).^(-a-b)).*...
         ((normpdf((varrho+1)./sigma_varrho_N).*( (0.5 - normcdf(varrho./sigma_varrho_N)).^a ).*( (normcdf((varrho+1)./sigma_varrho_N) - 0.5).^(b-1) )) +...
         ((normpdf(varrho./sigma_varrho_N)).*( (0.5 - normcdf(varrho./sigma_varrho_N)).^(a-1) ).*( (normcdf((varrho+1)./sigma_varrho_N) - 0.5).^(b) ) )) );
    
     f_varrho( varrho<=-1 ) = 0.000000000000000001;
     f_varrho( varrho>=0 ) = 0.000000000000000001;
end
