function [f_varrho] = density_varrho_P(varrho,a,b,var_zet,var_xi,cap_omega,rho)       %This function is the Probability Density Function of the median voter's type under Prohibition (varrho_P)
                                                                                      %Inputs are: argument varrho 
                                                                                      %a: parameter from wet distribution
                                                                                      %b: parameter from wet distribution
                                                                                      %var_zet: variance of moral views
                                                                                      %car_xi: variance of belief biases
                                                                                      %cap_omega
                                                                                      %rho: correlation between morals and prior beliefs
                                                                                      
                                                                                      

sigma_varrho_P = (a./(a+b)).*(sqrt(var_zet + ((cap_omega.^2)./var_xi) - (2.*cap_omega.*rho.*sqrt(var_zet./var_xi))));


    f_varrho = ( (1./beta(a,b)).*(1./sigma_varrho_P).*((normcdf((varrho+1)./sigma_varrho_P) - normcdf(varrho./sigma_varrho_P)).^(-a-b)).*...
         ((normpdf((varrho+1)./sigma_varrho_P).*( (0.5 - normcdf(varrho./sigma_varrho_P)).^a ).*( (normcdf((varrho+1)./sigma_varrho_P) - 0.5).^(b-1) )) +...
         ((normpdf(varrho./sigma_varrho_P)).*( (0.5 - normcdf(varrho./sigma_varrho_P)).^(a-1) ).*( (normcdf((varrho+1)./sigma_varrho_P) - 0.5).^(b) ) )) );
   
     f_varrho( varrho<=-1 ) = 0.000000000000000001;
     f_varrho( varrho>=0 ) = 0.000000000000000001;
     
     
end
                                                                                      

