function [beliefs varrho_med g_eps f] = estimates(poli, drunk, crime, mean_crime, P, YUP, Abar15_44, E, E_bar, L, R, X_char, R_o, THETA)

    global years cities latent_classes 
    
        %Recover parameters and densities:
            %Structural parameters as functions of the data
        
            %Common across Latent Classes
                z_bar = log(exp([Abar15_44 E(:,2:3) R L(:,1)]*THETA(1:13)) + 1);                                                                                                      %Mean moral beliefs are a function of religious distribution, time varying as religious distribution changes: R = [baptist orth evangel jew mormon luth metho catho presby] (baptist is ommited category) NxT,1   
            
                alpha = 1 + log(exp(L*THETA(14:26)) + 1);                                                                                                                             %Enforcement parameter is a function of: Pre-prohibition trend and L=Dry laws, enfocement law dummy, prohibition field headquarter, prohibition field dummies) NxT,1
               
                bias = [R_o L(:,1)]*THETA(27:36);                                                                                                                                     %Structural prior bias
        
             %Normalization                                                                                                                                         
                var_xi = 0.1;
               
        
            %Latent-Class specific                
                xchi = log(exp(( repmat(THETA(36 + 1:36 + latent_classes)',years*cities,1) ) ) + 1);                                                                                  %Drunkard Arrest enforcement parameter                              
        
                k = exp(THETA(36 + latent_classes + 1:36 + 2*latent_classes)')./(1 + exp(THETA(36 + latent_classes + 1:36 + 2*latent_classes)') );                                    %Speed of alcohol-market catchup parameter-inverse of trough 
            
                lam = exp(THETA(36 + 2*latent_classes + 1:36 + 3*latent_classes)')./(1 + exp(THETA(36 + 2*latent_classes + 1:36 + 3*latent_classes)') );                              %Impact fall in alcohol market parameter 

                var_q = log(exp(THETA(36 + 3*latent_classes + 1:36 + 4*latent_classes)') + 1);                                                                                        %Variance of the error in the crime equation
        
                var_zet = log(exp(THETA(36 + 4*latent_classes + 1:36 + 5*latent_classes)') + 1);                                                                                      %Variance of the distribution of moral shocks
       
                rho = ((exp(THETA(36 + 5*latent_classes + 1:36 + 6*latent_classes)')-1)./(1+exp(THETA(36 + 5*latent_classes + 1:36 + 6*latent_classes)')));                           %Correlation between morals and prior beliefs
        
                a = log(exp(repmat(THETA(36 + 6*latent_classes + 1:36 + 7*latent_classes)',years*cities,1)) + 1) + 1;                                                                 %Wetness distribution parameter (correlated with moral views)                                                                                                                                                                            
                
                b = log(exp(repmat(THETA(36 + 7*latent_classes + 1:36 + 8*latent_classes)',years*cities,1).*repmat(z_bar,1,latent_classes)) + 1) + 1;                                 %Wetness distribution parameter (correlated with moral views)
                    
                theta_true = (log(exp([X_char(:,31:33) Abar15_44 E_bar(:,2:3) L(:,1)]*reshape(THETA(36 + 8*latent_classes + 1:36 + 15*latent_classes),7,latent_classes)) + 1));       %Structural elasticity of crime to Prohibition                                                                                                 
        
                eta = exp(THETA(36 + 15*latent_classes + 1:36 + 16*latent_classes)')./(1 + exp(THETA(36 + 15*latent_classes + 1:36 + 16*latent_classes)'));                           %Marginal utility of public goods

        
    beliefs = zeros(years*cities,latent_classes);
    varrho_med = zeros(years*cities,latent_classes);
    g_eps = zeros(years*cities,latent_classes);
    f = zeros(years*cities,latent_classes);
    
    for i = 1:latent_classes

        %Compute the vector of common beliefs sequences and belief weights sequences
        [beliefs(:,i), cap_omega] = public_beliefs(poli,drunk,crime,mean_crime,P,alpha,bias,var_xi,var_q(i),xchi(i));
       
        varrho_med(:,i) = g_varrho(poli,YUP,P,beliefs(:,i),alpha,a(:,i),b(:,i),k(i),lam(i),z_bar,eta(i));
        
        g_eps(:,i) = g_epsilon(poli,drunk,crime,P,theta_true(:,i),alpha,xchi(:,i)); 


    f(:,i) = (1/(sqrt(2*pi*var_q(i)))).*(exp(-(1/(2*var_q(i))).*((g_eps(:,i)).^2))).*((density_varrho_N(varrho_med(:,i),a(:,i),b(:,i),var_zet(i))).^(1-P)).*((density_varrho_P(varrho_med(:,i),a(:,i),b(:,i),var_zet(i),var_xi,cap_omega,rho(i))).^(P)).*jacob(poli,YUP,alpha,k(i),lam(i),eta(i));

    end

    
    
    
    
    
end

