function [CRIME DRUNK POLI d_hat q_hat p_hat] = fit(poli, drunk, crime, mean_crime, P, YUP, Abar15_44, E, E_bar, L, R, X_char, R_o, THETA, z)

    global years cities latent_classes 

    z = kron(z,ones(years,1));
    
        %Recover parameters and densities:
            %Structural parameters as functions of the data
        
            %Common across Latent Classes
                z_bar = log(exp([Abar15_44 E(:,2:3) R L(:,1)]*THETA(1:13)) + 1);                                                                                                      %Mean moral beliefs are a function of religious distribution, time varying as religious distribution changes: R = [baptist orth evangel jew mormon luth metho catho presby] (baptist is ommited category) NxT,1   
            
                alpha = 1 + log(exp(L*THETA(14:26)) + 1);                                                                                                                             %Enforcement parameter is a function of: Pre-prohibition trend and L=Dry laws, enfocement law dummy, prohibition field headquarter, prohibition field dummies) NxT,1
               
                bias = [R_o L(:,1)]*THETA(27:36);                                                                                                                                     %Structural prior bias
        
             %Normalization                                                                                                                                         
                var_xi = 0.1;
               
        
            %Latent-Class specific                
                xchi = log(exp(( repmat(THETA(36 + 1:36 + latent_classes)',years*cities,1) ) ) + 1);                                                                                  %Drunkard Arrest enforcement parameter                              
        
                k = exp(THETA(36 + latent_classes + 1:36 + 2*latent_classes)')./(1 + exp(THETA(36 + latent_classes + 1:36 + 2*latent_classes)') );                                    %Speed of alcohol-market catchup parameter-inverse of trough 
            
                lam = exp(THETA(36 + 2*latent_classes + 1:36 + 3*latent_classes)')./(1 + exp(THETA(36 + 2*latent_classes + 1:36 + 3*latent_classes)') );                              %Impact fall in alcohol market parameter 

                var_q = log(exp(THETA(36 + 3*latent_classes + 1:36 + 4*latent_classes)') + 1);                                                                                        %Variance of the error in the crime equation
        
                var_zet = log(exp(THETA(36 + 4*latent_classes + 1:36 + 5*latent_classes)') + 1);                                                                                      %Variance of the distribution of moral shocks
       
                rho = ((exp(THETA(36 + 5*latent_classes + 1:36 + 6*latent_classes)')-1)./(1+exp(THETA(36 + 5*latent_classes + 1:36 + 6*latent_classes)')));                           %Correlation between morals and prior beliefs
        
                a = log(exp(repmat(THETA(36 + 6*latent_classes + 1:36 + 7*latent_classes)',years*cities,1)) + 1) + 1;                                                                 %Wetness distribution parameter (correlated with moral views)                                                                                                                                                                            
                
                b = log(exp(repmat(THETA(36 + 7*latent_classes + 1:36 + 8*latent_classes)',years*cities,1).*repmat(z_bar,1,latent_classes)) + 1) + 1;                                 %Wetness distribution parameter (correlated with moral views)
                    
                theta_true = (log(exp([X_char(:,31:33) Abar15_44 E_bar(:,2:3) L(:,1)]*reshape(THETA(36 + 8*latent_classes + 1:36 + 15*latent_classes),7,latent_classes)) + 1));       %Structural elasticity of crime to Prohibition                                                                                                 
        
                eta = exp(THETA(36 + 15*latent_classes + 1:36 + 16*latent_classes)')./(1 + exp(THETA(36 + 15*latent_classes + 1:36 + 16*latent_classes)'));                           %Marginal utility of public goods

        
    beliefs = zeros(years*cities,latent_classes);
    varrho_med = zeros(years*cities,latent_classes);
    g_eps = zeros(years*cities,latent_classes);
    d_hat = zeros(years*cities,latent_classes);
    d_hat_base = zeros(years*cities,latent_classes);
     
    for i = 1:latent_classes

        %Compute the vector of common beliefs sequences and belief weights sequences
        [beliefs(:,i)] = public_beliefs(poli,drunk,crime,mean_crime,P,alpha,bias,var_xi,var_q(i),xchi(i));
       
        varrho_med(:,i) = g_varrho(poli,YUP,P,beliefs(:,i),alpha,a(:,i),b(:,i),k(i),lam(i),z_bar,eta(i));
        
    end

    
    
    
    %LAW ENFORCEMENT    
        
     zzz_LC1 =  z(:,1).*varrho_med(:,1);
     
        pool_LC1_pre =  zzz_LC1.*(1-P);
     
        pool_LC1_pre(pool_LC1_pre==0) = [];
        
        pool_LC1_pro = zzz_LC1.*P;
        
        pool_LC1_pro(pool_LC1_pro==0) = [];
        
        
     zzz_LC2 =  z(:,2).*varrho_med(:,2);
     
        pool_LC2_pre =  zzz_LC2.*(1-P);
     
        pool_LC2_pre(pool_LC2_pre==0) = [];
        
        pool_LC2_pro = zzz_LC2.*P;
        
        pool_LC2_pro(pool_LC2_pro==0) = [];   
        
     
    draws_LC1_pre = reshape(randsample(pool_LC1_pre,years*cities*1000,true),years*cities,1000);

    draws_LC1_pro = reshape(randsample(pool_LC1_pro,years*cities*1000,true),years*cities,1000);

    draws_LC2_pre = reshape(randsample(pool_LC2_pre,years*cities*1000,true),years*cities,1000);

    draws_LC2_pro = reshape(randsample(pool_LC2_pro,years*cities*1000,true),years*cities,1000);


      p_hat_LC1_pre = zeros(years*cities,1000);
      p_hat_LC1_pro = zeros(years*cities,1000);
      p_hat_LC2_pre = zeros(years*cities,1000);
      p_hat_LC2_pro = zeros(years*cities,1000);
      
        
          for j=1:1000
          
          p_hat_LC1_pre(:,j) = (1./(alpha-1)).*( log( (alpha.*drunk.*(xchi(1) + exp(alpha.*poli))./(eta(1).*(a(:,1)./(a(:,1) + b(:,1))))).*( ((a(:,1)./(a(:,1) + b(:,1) )).*(z_bar - (P.*beliefs(:,1)) + 1)) + draws_LC1_pre(:,j) ) ) - 1 );
       
          p_hat_LC1_pro(:,j) = (1./(alpha-1)).*( log( (alpha.*drunk.*(xchi(1) + exp(alpha.*poli))./(eta(1).*(a(:,1)./(a(:,1) + b(:,1))))).*( ((a(:,1)./(a(:,1) + b(:,1) )).*(z_bar - (P.*beliefs(:,1)) + 1)) + draws_LC1_pro(:,j) ) ) - 1 );
          
          p_hat_LC2_pre(:,j) = (1./(alpha-1)).*( log( (alpha.*drunk.*(xchi(1) + exp(alpha.*poli))./(eta(2).*(a(:,2)./(a(:,2) + b(:,2))))).*( ((a(:,2)./(a(:,2) + b(:,2) )).*(z_bar - (P.*beliefs(:,2)) + 1)) + draws_LC2_pre(:,j) ) ) - 1 );
          
          p_hat_LC2_pro(:,j) = (1./(alpha-1)).*( log( (alpha.*drunk.*(xchi(1) + exp(alpha.*poli))./(eta(2).*(a(:,2)./(a(:,2) + b(:,2))))).*( ((a(:,2)./(a(:,2) + b(:,2) )).*(z_bar - (P.*beliefs(:,2)) + 1)) + draws_LC2_pro(:,j) ) ) - 1 );
          
          end

          
          for i = 1:years*cities
              for j=1:1000
                  if isreal(p_hat_LC1_pre(i,j))==0
                      p_hat_LC1_pre(i,j) = 0;
                  end
                  if isreal(p_hat_LC1_pro(i,j))==0
                      p_hat_LC1_pro(i,j) = 0;
                  end
                  if isreal(p_hat_LC2_pre(i,j))==0
                      p_hat_LC2_pre(i,j) = 0;
                  end
                  if isreal(p_hat_LC2_pro(i,j))==0
                     p_hat_LC2_pro(i,j) = 0;
                  end
              end
          end
              
        
        
        p_hat_LC1_pre_avg = (sum(p_hat_LC1_pre,2)/1000).*(1-P);

        p_hat_LC1_pro_avg = (sum(p_hat_LC1_pro,2)/1000).*P;
        
        p_hat_LC2_pre_avg = (sum(p_hat_LC2_pre,2)/1000).*(1-P);
        
        p_hat_LC2_pro_avg = (sum(p_hat_LC2_pro,2)/1000).*P;

        pre_prohib_p_hat = sum(z.*[p_hat_LC1_pre_avg p_hat_LC2_pre_avg],2);
                   
        prohib_p_hat = sum(z.*[p_hat_LC1_pro_avg p_hat_LC2_pro_avg],2);
        
        poli_avg = pre_prohib_p_hat + prohib_p_hat;
      
        f = (mean(poli)/mean(poli_avg));
        
        mean_pre_prohib_p_hat = f*sum(pre_prohib_p_hat)/sum(1-P);
        
        mean_prohib_p_hat = f*sum(prohib_p_hat)/sum(P);
             
        mean_pre_prohib_p_data = sum(poli.*(1-P))/sum(1-P);
        
        mean_prohib_p_data = sum(poli.*P)/sum(P);
       
        p_hat = f*poli_avg;
        
        p_f = reshape(p_hat,years,cities);
        
        wts = [1/4 1/2 1/4]';
    
    p_mov = zeros(years-size(wts,1)+1,cities);
    
    for i=1:cities
        p_mov(:,i) = conv(p_f(:,i),wts,'valid');
    end
    
    p_hat = [p_f(1:size(wts,1)+1,:); p_mov(1:years-size(wts,1)-1,:)];
        
    POLI = [mean_pre_prohib_p_data mean_pre_prohib_p_hat mean_prohib_p_data mean_prohib_p_hat];     
      
  
 
 
  %DRUNK ARREST RATE   
    
     for i = 1:latent_classes
      
        d_hat_base(:,i) = K_t(YUP,k(i),lam(i))./(xchi(:,i) + exp(alpha.*poli));
        
     end

    
    MU_LC1_draws = zeros(years*cities,1000);
    MU_LC2_draws = zeros(years*cities,1000);
    
    for i=1:1000
        MU_LC1_draws(:,i) = betarnd(a(:,1),b(:,1));
    
        MU_LC2_draws(:,i) = betarnd(a(:,2),b(:,2));
    end
    
  
    d_hat(:,1) = sum(repmat(d_hat_base(:,1),1,1000).*MU_LC1_draws,2)/1000;
    
    d_hat(:,2) = sum(repmat(d_hat_base(:,2),1,1000).*MU_LC2_draws,2)/1000;
    
        
    d_avg = sum(z.*d_hat,2);
    
    g = (mean(drunk)/mean(d_avg));
    
        mean_pre_prohib_drunk_hat = g*sum(d_avg.*(1-P))/sum(1-P);
    
        mean_pre_prohib_drunk_data = sum(drunk.*(1-P))/sum(1-P);
        
  
        mean_prohib_drunk_hat = g*sum(d_avg.*P)/sum(P);
    
        mean_prohib_drunk_data = sum(drunk.*P)/sum(P);
    
    d_hat =  reshape(g*d_avg,years,cities);   
               
    DRUNK = [mean_pre_prohib_drunk_data mean_pre_prohib_drunk_hat mean_prohib_drunk_data mean_prohib_drunk_hat];    
    
    
    
    
      
    %HOMICIDE RATE

    for i = 1:latent_classes
      
        g_eps(:,i) = g_epsilon(poli,drunk,crime,P,theta_true(:,i),alpha,xchi(:,i)); 
        
     end    
    
    
    mean_crime_pre = sum((crime + mean_crime).*(1-P))/sum(1-P);

    mean_crime_pro = sum((crime + mean_crime).*P)/sum(P);
  
    g_eps = sum(z.*g_eps,2);

    crime_hat = crime - g_eps;
    
        mean_pre_prohib_crime_hat = sum(crime_hat.*(1-P))/sum(1-P) + mean_crime_pre;
    
        mean_pre_prohib_crime_data = (sum(crime.*(1-P))/sum(1-P)) + mean_crime;
    
    
        mean_prohib_crime_hat = sum(crime_hat.*P)/sum(P) + mean_crime_pro;
    
        mean_prohib_crime_data = (sum(crime.*P)/sum(P)) + mean_crime;
 
    q_f = reshape(crime_hat + (1-P).*mean_crime_pre + P.*mean_crime_pro, years, cities);    
        
    CRIME = [mean_pre_prohib_crime_data mean_pre_prohib_crime_hat mean_prohib_crime_data mean_prohib_crime_hat];

    wts = [1/4 1/2 1/4]';
    
    q_mov = zeros(years-size(wts,1)+1,cities);
    
    for i=1:cities
        q_mov(:,i) = conv(q_f(:,i),wts,'valid');
    end
    
    q_hat = [q_f(1:size(wts,1)+1,:); q_mov(1:years-size(wts,1)-1,:)];
    

    
    
    
end





























