function [p_out_model p_out_data q_out_model q_out_data bel_out] = outofsample(poli, drunk, crime, mean_crime_pre, mean_crime_pro, mean_crime, P, YUP, Abar15_44, E, E_bar, L, R, X_char, R_o, THETA, z, p_data, q_data)

    global years cities latent_classes 

    
        %Recover parameters and densities:
            %Structural parameters as functions of the data
        
            %Common across Latent Classes
                z_bar = log(exp([Abar15_44 E(:,2:3) R L(:,1)]*THETA(1:13)) + 1);                                                                                                      %Mean moral beliefs are a function of religious distribution, time varying as religious distribution changes: R = [baptist orth evangel jew mormon luth metho catho presby] (baptist is ommited category) NxT,1   
            
                alpha = 1 + log(exp(L*THETA(14:26)) + 1);                                                                                                                             %Enforcement parameter is a function of: Pre-prohibition trend and L=Dry laws, enfocement law dummy, prohibition field headquarter, prohibition field dummies) NxT,1
               
                bias = [R_o L(:,1)]*THETA(27:36);                                                                                                                                     %Structural prior bias
        
             %Normalization                                                                                                                                         
                var_xi = 0.1;
               
        
            %Latent-Class specific                
                xchi = log(exp(( repmat(THETA(36 + 1:36 + latent_classes)',years*cities,1) ) ) + 1);                                                                                  %Drunkard Arrest enforcement parameter                              
        
                k = exp(THETA(36 + latent_classes + 1:36 + 2*latent_classes)')./(1 + exp(THETA(36 + latent_classes + 1:36 + 2*latent_classes)') );                                    %Speed of alcohol-market catchup parameter-inverse of trough 
            
                lam = exp(THETA(36 + 2*latent_classes + 1:36 + 3*latent_classes)')./(1 + exp(THETA(36 + 2*latent_classes + 1:36 + 3*latent_classes)') );                              %Impact fall in alcohol market parameter 

                var_q = log(exp(THETA(36 + 3*latent_classes + 1:36 + 4*latent_classes)') + 1);                                                                                        %Variance of the error in the crime equation
        
                var_zet = log(exp(THETA(36 + 4*latent_classes + 1:36 + 5*latent_classes)') + 1);                                                                                      %Variance of the distribution of moral shocks
       
                rho = ((exp(THETA(36 + 5*latent_classes + 1:36 + 6*latent_classes)')-1)./(1+exp(THETA(36 + 5*latent_classes + 1:36 + 6*latent_classes)')));                           %Correlation between morals and prior beliefs
        
                a = log(exp(repmat(THETA(36 + 6*latent_classes + 1:36 + 7*latent_classes)',years*cities,1)) + 1) + 1;                                                                 %Wetness distribution parameter (correlated with moral views)                                                                                                                                                                            
                
                b = log(exp(repmat(THETA(36 + 7*latent_classes + 1:36 + 8*latent_classes)',years*cities,1).*repmat(z_bar,1,latent_classes)) + 1) + 1;                                 %Wetness distribution parameter (correlated with moral views)
                    
                theta_true = (log(exp([X_char(:,31:33) Abar15_44 E_bar(:,2:3) L(:,1)]*reshape(THETA(36 + 8*latent_classes + 1:36 + 15*latent_classes),7,latent_classes)) + 1));       %Structural elasticity of crime to Prohibition                                                                                                 
        
                eta = exp(THETA(36 + 15*latent_classes + 1:36 + 16*latent_classes)')./(1 + exp(THETA(36 + 15*latent_classes + 1:36 + 16*latent_classes)'));                           %Marginal utility of public goods

        
    beliefs = zeros(years*cities,latent_classes);
    cap_omega = zeros(years*cities,latent_classes);
    varrho_med = zeros(years*cities,latent_classes);
   
     
    for i = 1:latent_classes

        %Compute the vector of common beliefs sequences and belief weights sequences
        [beliefs(:,i), cap_omega(:,i)] = public_beliefs(poli,drunk,crime,mean_crime,P,alpha,bias,var_xi,var_q(i),xchi(i));
       
        varrho_med(:,i) = g_varrho(poli,YUP,P,beliefs(:,i),alpha,a(:,i),b(:,i),k(i),lam(i),z_bar,eta(i));
        
    end

 num_draws = 500; 
 years_out=7;                                                                 %7 years to predict: 1930-1936  
 f = mean(a./(a+b));    
 
 %Generate Prohibition status data post 1929: P=1 for 1930-1933 for all cities, and P=0 for 1934-1936 for all cities except 
 %Birmingham, AL and Kansas City, KS.
 
    P_out = [ones(4,cities); zeros(3,cities)];
    P_out(:,1) = ones(years_out,1);                                         %Birmingham, AL
    P_out(:,64) = ones(years_out,1);                                        %Kansas City, KS

    
 %Generate Years Under Prohibition data post 1929.   
    yup_29 = reshape(YUP,years,cities);
        yup_29 = yup_29(years,:);
        
    yup_out = [yup_29+1; zeros(years_out,cities)];
    
    for j=1:cities
        for i=2:years_out+1
            yup_out(i,j) = yup_out(i-1,j) + P_out(i-1,j);
        end
    end
     
 %Extract 1929 posterior belief as 1930 prior
 
    prior_beliefs = zeros(2,cities);
    prior_omegas =  zeros(2,cities);
    for i=1:latent_classes
        dummy_beliefs = reshape(beliefs(:,i),years,cities);       
        dummy_omegas = reshape(cap_omega(:,i),years,cities);
     
        prior_beliefs(i,:) = dummy_beliefs(years,:);     
        prior_omegas(i,:) = dummy_omegas(years,:);
    end

    
 %Fix parameters for out of Sample Prediction
 alpha = reshape(alpha,years,cities);
        alpha = alpha(years,:);
    
 z_bar = reshape(z_bar,years,cities);
        z_bar = z_bar(years,:);   
       
    
%% %Latent Class 1
 a_LC1 = reshape(a(:,1),years,cities);
        a_LC1 = a_LC1(years,:);
 
 b_LC1 = reshape(b(:,1),years,cities);
        b_LC1 = b_LC1(years,:);
 
 theta_true_LC1 = reshape(theta_true(:,1),years,cities);
        theta_true_LC1 = theta_true_LC1(years,:);      
        
        
 BEL=zeros(years_out+1,cities,num_draws);                                          %Matrix to Fill in with belief sequences       
 OMEGAS=zeros(years_out,cities,num_draws);                                         %Matrix to fill in with Omegas sequences
 SUM_OMEGAS_SQ=zeros(years_out+1,cities,num_draws);                                %Matrix to fill in with sum of Squared Omegas
 SUM_Q_OMEGAS=zeros(years_out+1,cities,num_draws);                                 %Matrix to fill in with sum of (q - q_noProhib)*omegas
 
 CAP_OMEGAS=zeros(years_out+1,cities,num_draws);                                   %Matrix to fill in with Cap Omegas sequences

 
 for i=1:num_draws
     BEL(1,:,i)= prior_beliefs(1,:);                                          %Fill in 1930 (prior) with  1929 posterior    
 
     SUM_OMEGAS_SQ(1,:,i)=((1./prior_omegas(1,:))-(1/var_xi))*var_q(1);       %Fill in 1930 sum omegas sq
 
     CAP_OMEGAS(1,:,i)=prior_omegas(1,:);                                     %Fill in 1930 Cap omega with 1929 Cap omega
 end
 
 
 POL_LC1=zeros(years_out,cities,num_draws);                                        %Matrix to fill in with police sequences
 HOMI_LC1=zeros(years_out,cities,num_draws);                                       %Matrix to fill in with homicide sequences
 
       
 
        zzz_LC1 = kron(z(:,1),ones(years,1)).*varrho_med(:,1);
     
        pool_LC1_pre =  zzz_LC1.*(1-P);
     
        pool_LC1_pre(pool_LC1_pre==0) = [];
        
        pool_LC1_pro = zzz_LC1.*P;
        
        pool_LC1_pro(pool_LC1_pro==0) = [];
              
        VARRHO_LC1_pre = reshape(randsample(pool_LC1_pre,years_out*cities*num_draws,true),years_out,cities,num_draws);  %Matrices to fill in with mean unobserved median voter types
        VARRHO_LC1_pro = reshape(randsample(pool_LC1_pro,years_out*cities*num_draws,true),years_out,cities,num_draws);

        
        aa = repmat(a_LC1,years_out,1);
        bb = repmat(b_LC1,years_out,1);
        
        MU_LC1_draws = zeros(years_out,cities,num_draws);
        for i=1:num_draws
            MU_LC1_draws(:,:,i) = betarnd(aa,bb);                                 %Matrices to fill in with wet share draws 
        end
 
       
            eps_LC1_draws = sqrt(var_q(1)).*randn(years_out*cities*num_draws,1);  %Matrices to fill in with crime error draws 
          
            eps_LC1_draws = reshape(eps_LC1_draws,years_out,cities,num_draws);
        
        
   %This loop computes the sequences of simulated outcomes and beliefs
    
   for i=1:num_draws
        for c=1:cities
            for t=1:years_out
                        
            POL_LC1(t,c,i) = (f(1)/(alpha(c) - 1))*(log(alpha(c)*K_t(yup_out(t,c),k(1),lam(1))/eta(1)) + log((a_LC1(c)/(a_LC1(c)+b_LC1(c)))*(z_bar(c) - P_out(t,c)*BEL(t,c,i) + 1) + (1-P_out(t,c))*VARRHO_LC1_pre(t,c,i) + P_out(t,c)*VARRHO_LC1_pro(t,c,i) ) - 1);
         
                if isreal(POL_LC1(t,c,i))==0
                    POL_LC1(t,c,i) = 0;
                end
            
            HOMI_LC1(t,c,i) = mean_crime_pre*(1-P_out(t,c)) + mean_crime_pro*P_out(t,c) + K_t(yup_out(t,c),k(1),lam(1))*MU_LC1_draws(t,c,i)*( exp(-alpha(c)*POL_LC1(t,c,i)) + P_out(t,c)*theta_true_LC1(c)*(1 - exp(-alpha(c)*POL_LC1(t,c,i)))) + eps_LC1_draws(t,c,i); 
         
            OMEGAS(t,c,i) = P_out(t,c)*(K_t(yup_out(t,c),k(1),lam(1))*MU_LC1_draws(t,c,i)*(1 - exp(-alpha(c)*POL_LC1(t,c,i))));
         
            SUM_OMEGAS_SQ(t+1,c,i) = SUM_OMEGAS_SQ(t,c,i) + (OMEGAS(t,c,i)*OMEGAS(t,c,i));
         
            CAP_OMEGAS(t+1,c,i) = 1/((1/var_xi) + ((1/var_q(1))*(SUM_OMEGAS_SQ(t+1,c,i))));
       
            SUM_Q_OMEGAS(t+1,c,i) = SUM_Q_OMEGAS(t,c) + (HOMI_LC1(t,c,i) - K_t(yup_out(t,c),k(1),lam(1))*MU_LC1_draws(t,c,i)*exp(-alpha(c)*POL_LC1(t,c,i)))*OMEGAS(t,c,i);
        
            BEL(t+1,c,i) = CAP_OMEGAS(t+1,c,i)*(((1/var_xi)*BEL(1,c,i)) + ((1/var_q(1))*SUM_Q_OMEGAS(t+1,c,i)));
         
            end
       end
   end
 
  POL_LC1 = sum(POL_LC1,3)/num_draws; 
  HOMI_LC1 = sum(HOMI_LC1,3)/num_draws; 
   
  BEL_LC1 = sum(BEL,3)/num_draws;                                                            
    BEL_LC1 = BEL_LC1(1:years_out,:);                                       %Stop in 1936
 
  CAP_OMEGAS_LC1 = sum(CAP_OMEGAS,3)/num_draws;                                              
    CAP_OMEGAS_LC1 = CAP_OMEGAS_LC1(1:years_out,:);                         %Stop in 1936
    
    
    
%% %Latent Class 2    
 a_LC2 = reshape(a(:,2),years,cities);
        a_LC2 = a_LC2(years,:);
 
 b_LC2 = reshape(b(:,2),years,cities);
        b_LC2 = b_LC2(years,:);
 
 theta_true_LC2 = reshape(theta_true(:,2),years,cities);
        theta_true_LC2 = theta_true_LC2(years,:);      
        
        
 BEL=zeros(years_out+1,cities,num_draws);                                          %Matrix to Fill in with belief sequences       
 OMEGAS=zeros(years_out,cities,num_draws);                                         %Matrix to fill in with Omegas sequences
 SUM_OMEGAS_SQ=zeros(years_out+1,cities,num_draws);                                %Matrix to fill in with sum of Squared Omegas
 SUM_Q_OMEGAS=zeros(years_out+1,cities,num_draws);                                 %Matrix to fill in with sum of (q - q_noProhib)*omegas
 
 CAP_OMEGAS=zeros(years_out+1,cities,num_draws);                                   %Matrix to fill in with Cap Omegas sequences

 
 for i=1:num_draws
     BEL(1,:,i)= prior_beliefs(2,:);                                          %Fill in 1930 (prior) with  1929 posterior    
 
     SUM_OMEGAS_SQ(1,:,i)=((1./prior_omegas(2,:))-(1/var_xi))*var_q(2);       %Fill in 1930 sum omegas sq
 
     CAP_OMEGAS(1,:,i)=prior_omegas(2,:);                                     %Fill in 1930 Cap omega with 1929 Cap omega
 end
 
 
 POL_LC2=zeros(years_out,cities,num_draws);                                        %Matrix to fill in with police sequences
 HOMI_LC2=zeros(years_out,cities,num_draws);                                       %Matrix to fill in with homicide sequences
 
       
        zzz_LC2 = kron(z(:,2),ones(years,1)).*varrho_med(:,2);
     
        pool_LC2_pre =  zzz_LC2.*(1-P);
     
        pool_LC2_pre(pool_LC2_pre==0) = [];
        
        pool_LC2_pro = zzz_LC2.*P;
        
        pool_LC2_pro(pool_LC2_pro==0) = [];
              
        VARRHO_LC2_pre = reshape(randsample(pool_LC2_pre,years_out*cities*num_draws,true),years_out,cities,num_draws);  %Matrices to fill in with mean unobserved median voter types
        VARRHO_LC2_pro = reshape(randsample(pool_LC2_pro,years_out*cities*num_draws,true),years_out,cities,num_draws);

        
        aa = repmat(a_LC2,years_out,1);
        bb = repmat(b_LC2,years_out,1);
        
        MU_LC2_draws = zeros(years_out,cities,num_draws);
        for i=1:num_draws
            MU_LC2_draws(:,:,i) = betarnd(aa,bb);                                 %Matrices to fill in with wet share draws 
        end
 
       
            eps_LC2_draws = sqrt(var_q(2)).*randn(years_out*cities*num_draws,1);  %Matrices to fill in with crime error draws 
          
            eps_LC2_draws = reshape(eps_LC2_draws,years_out,cities,num_draws);

        
        
%   This loop computes the sequences of simulated outcomes and beliefs
    
   for i=1:num_draws
        for c=1:cities
            for t=1:years_out
                        
            POL_LC2(t,c,i) = (f(2)/(alpha(c) - 1))*(log(alpha(c)*K_t(yup_out(t,c),k(2),lam(2))/eta(2)) + log((a_LC2(c)/(a_LC2(c)+b_LC2(c)))*(z_bar(c) - P_out(t,c)*BEL(t,c,i) + 1) + (1-P_out(t,c))*VARRHO_LC2_pre(t,c,i) + P_out(t,c)*VARRHO_LC2_pro(t,c,i) ) - 1);
         
                if isreal(POL_LC2(t,c,i))==0
                    POL_LC2(t,c,i) = 0;
                end
            
            HOMI_LC2(t,c,i) = mean_crime_pre*(1-P_out(t,c)) + mean_crime_pro*P_out(t,c) + K_t(yup_out(t,c),k(2),lam(2))*MU_LC2_draws(t,c,i)*( exp(-alpha(c)*POL_LC2(t,c,i)) + P_out(t,c)*theta_true_LC2(c)*(1 - exp(-alpha(c)*POL_LC2(t,c,i)))) + eps_LC2_draws(t,c,i); 
         
            OMEGAS(t,c,i) = P_out(t,c)*(K_t(yup_out(t,c),k(2),lam(2))*MU_LC2_draws(t,c,i)*(1 - exp(-alpha(c)*POL_LC2(t,c,i))));
         
            SUM_OMEGAS_SQ(t+1,c,i) = SUM_OMEGAS_SQ(t,c,i) + (OMEGAS(t,c,i)*OMEGAS(t,c,i));
         
            CAP_OMEGAS(t+1,c,i) = 1/((1/var_xi) + ((1/var_q(2))*(SUM_OMEGAS_SQ(t+1,c,i))));
       
            SUM_Q_OMEGAS(t+1,c,i) = SUM_Q_OMEGAS(t,c) + (HOMI_LC2(t,c,i) - K_t(yup_out(t,c),k(2),lam(2))*MU_LC2_draws(t,c,i)*exp(-alpha(c)*POL_LC2(t,c,i)))*OMEGAS(t,c,i);
         
            BEL(t+1,c,i) = CAP_OMEGAS(t+1,c,i)*(((1/var_xi)*BEL(1,c,i)) + ((1/var_q(2))*SUM_Q_OMEGAS(t+1,c,i)));
         
            end
       end
   end
 
  POL_LC2 = sum(POL_LC2,3)/num_draws; 
  HOMI_LC2 = sum(HOMI_LC2,3)/num_draws; 
   
  BEL_LC2 = sum(BEL,3)/num_draws;                                                            
    BEL_LC2 = BEL_LC2(1:years_out,:);                                       %Stop in 1936
 
  CAP_OMEGAS_LC2 = sum(CAP_OMEGAS,3)/num_draws;                                              
    CAP_OMEGAS_LC2 = CAP_OMEGAS_LC2(1:years_out,:);                         %Stop in 1936    
    
    
    
%% %Average Across Latent Classes

z = z';

POL_LC1 = POL_LC1.*(repmat(z(1,:),years_out,1));
POL_LC2 = POL_LC2.*(repmat(z(2,:),years_out,1));
POL_avg = POL_LC1 + POL_LC2;
wts = [1/5 4/5]';
p_mov = zeros(years_out-size(wts,1)+1,cities);
    
    for i=1:cities
        p_mov(:,i) = conv(POL_avg(:,i),wts,'valid');
    end
p_out_model = [p_mov; POL_avg(end,:)];
p_out_data = reshape(p_data,years_out,cities);



HOMI_LC1 = HOMI_LC1.*(repmat(z(1,:),years_out,1));
HOMI_LC2 = HOMI_LC2.*(repmat(z(2,:),years_out,1));
HOMI_avg = HOMI_LC1 + HOMI_LC2;
q_mov = zeros(years_out-size(wts,1)+1,cities);
    
    for i=1:cities
        q_mov(:,i) = conv(HOMI_avg(:,i),wts,'valid');
    end
q_out_model = [q_mov; HOMI_avg(end,:)];
q_out_data = reshape(q_data,years_out,cities);


BEL_LC1 = BEL_LC1.*(repmat(z(1,:),years_out,1));
BEL_LC2 = BEL_LC2.*(repmat(z(2,:),years_out,1));

bel_out = BEL_LC1 + BEL_LC2;





    
end    
    