function [SW stdev_u max_u min_u] = social_welfare(p, d, q, bel, cap_omegas, P, YUP, Abar15_44, E, E_bar, L, R, X_char, R_o, ln_pop, THETA, z, counterf)


 global years cities latent_classes 

    
        %Recover parameters
            %Structural parameters as functions of the data
        
            %Common across Latent Classes
                z_bar = log(exp([Abar15_44 E(:,2:3) R L(:,1)]*THETA(1:13)) + 1);                                                                                                      %Mean moral beliefs are a function of religious distribution, time varying as religious distribution changes: R = [baptist orth evangel jew mormon luth metho catho presby] (baptist is ommited category) NxT,1   
            
                alpha = 1 + log(exp(L*THETA(14:26)) + 1);                                                                                                                             %Enforcement parameter is a function of: Pre-prohibition trend and L=Dry laws, enfocement law dummy, prohibition field headquarter, prohibition field dummies) NxT,1
               
                bias = [R_o L(:,1)]*THETA(27:36);                                                                                                                                     %Structural prior bias
        
             %Normalization                                                                                                                                         
                var_xi = 0.1;
               
        
            %Latent-Class specific                
                xchi = log(exp(( repmat(THETA(36 + 1:36 + latent_classes)',years*cities,1) ) ) + 1);                                                                                  %Drunkard Arrest enforcement parameter                              
        
                k = exp(THETA(36 + latent_classes + 1:36 + 2*latent_classes)')./(1 + exp(THETA(36 + latent_classes + 1:36 + 2*latent_classes)') );                                    %Speed of alcohol-market catchup parameter-inverse of trough 
            
                lam = exp(THETA(36 + 2*latent_classes + 1:36 + 3*latent_classes)')./(1 + exp(THETA(36 + 2*latent_classes + 1:36 + 3*latent_classes)') );                              %Impact fall in alcohol market parameter 

                var_q = log(exp(THETA(36 + 3*latent_classes + 1:36 + 4*latent_classes)') + 1);                                                                                        %Variance of the error in the crime equation
        
                var_zet = mean(log(exp(THETA(36 + 4*latent_classes + 1:36 + 5*latent_classes)') + 1));                                                                                      %Variance of the distribution of moral shocks
       
                rho = mean((exp(THETA(36 + 5*latent_classes + 1:36 + 6*latent_classes)')-1)./(1+exp(THETA(36 + 5*latent_classes + 1:36 + 6*latent_classes)')));                           %Correlation between morals and prior beliefs
        
                a = log(exp(repmat(THETA(36 + 6*latent_classes + 1:36 + 7*latent_classes)',years*cities,1)) + 1) + 1;                                                                 %Wetness distribution parameter (correlated with moral views)                                                                                                                                                                            
                
                    if counterf==3                                          %Increase wet share for Polarization Counterfactual to 3/4 on average
                        a = 3*a;
                    end
                                
                b = log(exp(repmat(THETA(36 + 7*latent_classes + 1:36 + 8*latent_classes)',years*cities,1).*repmat(z_bar,1,latent_classes)) + 1) + 1;                                 %Wetness distribution parameter (correlated with moral views)
                    
                theta_true = (log(exp([X_char(:,31:33) Abar15_44 E_bar(:,2:3) L(:,1)]*reshape(THETA(36 + 8*latent_classes + 1:36 + 15*latent_classes),7,latent_classes)) + 1));       %Structural elasticity of crime to Prohibition                                                                                                 
        
                eta = exp(THETA(36 + 15*latent_classes + 1:36 + 16*latent_classes)')./(1 + exp(THETA(36 + 15*latent_classes + 1:36 + 16*latent_classes)'));                           %Marginal utility of public goods



%Draws of Idiosyncratic Moral Views and Prior Beliefs

num_draws = 5000;

DRAWS = mvnrnd([0 0]',[var_zet rho*sqrt(var_zet*var_xi); rho*sqrt(var_zet*var_xi) var_xi],cities*num_draws);
DRAWS_ZET = DRAWS(:,1);
DRAWS_XI = DRAWS(:,2);

DRAWS_ZET = repmat(DRAWS_ZET,1,years)';
DRAWS_XI = repmat(DRAWS_XI,1,years)';

DRAWS_ZET = reshape(DRAWS_ZET,years,cities,num_draws);
DRAWS_XI = reshape(DRAWS_XI,years,cities,num_draws);



%Reshape data and Parameters
P=repmat(reshape(P,years,cities),1,num_draws);
P=reshape(P,years,cities,num_draws);
 
YUP=repmat(reshape(YUP,years,cities),1,num_draws);
YUP=reshape(YUP,years,cities,num_draws);
 
alpha = reshape(alpha,years,cities);
    if counterf==1
        alpha = repmat(mean(alpha),years,1);                                %For No Prohibition or No Learning Counterfactuals fix alpha over time
    end
alpha = repmat(alpha,1,num_draws);
alpha = reshape(alpha,years,cities,num_draws);


z_bar = reshape(z_bar,years,cities);
    if counterf==3                                                              %Increase moral views for Polarization Counterfactual
        z_bar = repmat(prctile(z_bar,0.75),years,1);
    end    
z_bar = repmat(z_bar,1,num_draws);
z_bar = reshape(z_bar,years,cities,num_draws);
 
 
xchi = xchi(1,:);
 
k = k(1);
 
lam = lam(1);

K_tau = K_t(YUP,k,lam);

POL = repmat(p,1,num_draws);
POL = reshape(POL,years,cities,num_draws);

DRUNK = repmat(d,1,num_draws);
DRUNK = reshape(DRUNK,years,cities,num_draws);

BEL = repmat(bel,1,num_draws);
BEL = reshape(BEL,years,cities,num_draws);

CAP_OMEGA = repmat(cap_omegas,1,num_draws);
CAP_OMEGA = reshape(CAP_OMEGA,years,cities,num_draws);



%% %Latent Class 1

MU_LC1 = a(:,1)./(a(:,1) + b(:,1));
MU_LC1 = reshape(MU_LC1,years,cities);

NUM_WETS_LC1 = round(num_draws*MU_LC1);

WETS_LC1 =zeros(years,cities,num_draws);
        
%This loop generates wets and drys in the simulated population    
for t=1:years
    for c=1:cities
        for i=1:NUM_WETS_LC1(t,c)
            WETS_LC1(t,c,i) = 1;
        end
    end
end


%Alcohol market
A = DRUNK.*(xchi(1) + exp(alpha.*POL)).*exp(-alpha.*POL);

Exp_THETA = CAP_OMEGA.*(1/var_xi).*DRAWS_XI + CAP_OMEGA.*BEL;

Exp_q = DRUNK.*(xchi(1) + exp(alpha.*POL)).*( exp(alpha.*POL) + P.*Exp_THETA.*(1 - exp(-alpha.*POL)) );
Exp_q = mean(mean(q))*(Exp_q/mean(mean(mean(Exp_q))));

Exp_U_LC1 = (WETS_LC1.*exp(-alpha.*POL).*( 1 - P + (P.*K_tau) )) + (eta(1).*exp(1 - POL)) - ((z_bar + DRAWS_ZET).*A) - Exp_q;


%% %Latent Class 2

MU_LC2 = a(:,2)./(a(:,2) + b(:,2));
MU_LC2 = reshape(MU_LC2,years,cities);

NUM_WETS_LC2 = round(num_draws*MU_LC2);

WETS_LC2 =zeros(years,cities,num_draws);
        
%This loop generates wets and drys in the simulated population    
for t=1:years
    for c=1:cities
        for i=1:NUM_WETS_LC2(t,c)
            WETS_LC2(t,c,i) = 1;
        end
    end
end


%Alcohol market
A = DRUNK.*(xchi(2) + exp(alpha.*POL)).*exp(-alpha.*POL);

Exp_THETA = CAP_OMEGA.*(1/var_xi).*DRAWS_XI + CAP_OMEGA.*BEL;

Exp_q = DRUNK.*(xchi(2) + exp(alpha.*POL)).*( exp(alpha.*POL) + P.*Exp_THETA.*(1 - exp(-alpha.*POL)) );
Exp_q = mean(mean(q))*(Exp_q/mean(mean(mean(Exp_q))));

Exp_U_LC2 = (WETS_LC2.*exp(-alpha.*POL).*( 1 - P + (P.*K_tau) )) + (eta(2).*exp(1 - POL)) - ((z_bar + DRAWS_ZET).*A) - Exp_q;



%% %Social Welfare

z_LC1 = repmat(z(:,1)',years,1);
z_LC1 = repmat(z_LC1,1,num_draws);
z_LC1 = reshape(z_LC1,years,cities,num_draws);

z_LC2 = repmat(z(:,2)',years,1);
z_LC2 = repmat(z_LC2,1,num_draws);
z_LC2 = reshape(z_LC2,years,cities,num_draws);

Exp_U = (z_LC1.*Exp_U_LC1) + (z_LC2.*Exp_U_LC2);

Sum_Exp_U = sum(Exp_U);

max_u = max(max(Sum_Exp_U));

min_u = min(min(Sum_Exp_U));


%SW_cities = sum(Sum_Exp_U,3)/num_draws;

pop = reshape(ln_pop,years,cities);
pop = exp(pop(1,:));

pop_weights = (pop./sum(pop))*(1/num_draws);

pop_weights = repmat(pop_weights,1,num_draws);
pop_weights = reshape(pop_weights,1,cities,num_draws);

SW = sum(reshape(pop_weights.*Sum_Exp_U,cities*num_draws,1));

stdev_u = sqrt(var(reshape(Sum_Exp_U,cities*num_draws,1),reshape(pop_weights,cities*num_draws,1)));







end