%This file nests the optimization problem for estimation and bootstrap

function [supply_estimates,fval,exitflag,output] = supply(d, YUP, x0)

global years cities

% %Nonlinear Inequalities
     function [restrn,restreq] = restrictions(m)                            %Parameter Restrictions to respect the support of varrho_med                                               
         
        kk = exp(m(1))/(1 + exp(m(1)) );
        ll = exp(m(2))/(1 + exp(m(2)) );
        
        restrn(1) = ll - (kk*exp(1));                                       %Restrictions for market catch-up equation to be positive
        
        restreq = [];
	end


options = optimset('Algorithm','interior-point','Display','iter','MaxIter',10000,'TolX',1e-8,'MaxFunEvals',100000);
tic;

[supply_estimates,fval,exitflag,output] = fmincon(@NLS_supply,x0,[],[],[],[],[],[],@restrictions,options);



    function  [w] =  NLS_supply(PAR)                                                                                                         %This function is the objective to be minimized (it is the negative of the sum across cities of their log likelihoods)
                                                                                                                                            %PAR is a 52x1 row vector of the parameters to estimate
    %Structural parameters
       
        k = exp(PAR(1))./(1 + exp(PAR(1)) );                                %Speed of alcohol-market catchup parameter-inverse of trough 
            
        lam = exp(PAR(2))./(1 + exp(PAR(2)) );                              %Impact fall in alcohol market parameter 

        phi = sum(d.*YUP)/(years*cities);                                   %Scaling                                   
        
%%      %Computation of the Objective function summing across cities

    nsl_obj = (d - (phi*K_t(YUP,k,lam)) ).^2 ;
  
    
    w =  sum(nsl_obj);
     
   end
toc;


end









































