%This file computes the Vuong (1989) LR test for non-nested models


%Load output from Benchmark model estimation
load p_FINAL.mat

f_bench = sum((f.*kron(z(:,:,ii),ones(years,1))),2);

clearvars -except f_bench

%Load output from Neighbors model estimation
load p_NEIGH.mat

f_neigh = sum((f.*kron(z(:,:,ii),ones(years,1))),2);

clearvars -except f_bench f_neigh years cities


%Test Statistic construction

    LR = sum(log(f_bench./f_neigh));

    %Variance
    omega_sq = ((sum((log(f_bench./f_neigh)).^2))/(years*cities)) - (((sum(log(f_bench./f_neigh)))/(years*cities)).^2);

    LR_statistic = (1/sqrt(years*cities))*LR/sqrt(omega_sq);

    %Under Ho models are indistinguishable and LR_statistic ~ N(0,1)
    % 5% level test critical value for one-sided test: 
    disp('critical value to reject')
    disp(norminv(0.95))
    
    disp('LR statistic')
    disp(LR_statistic)
    
    if LR_statistic>norminv(0.95)
        disp('reject Ho')
    else
        disp('Cannot reject Ho')
    end    
        
        disp('p-value')
        disp(1 - normcdf(LR_statistic))
   
    